From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 1 November 2007<P>

Blakey, Ali, Jim, BK,<BR>
Thank you from my heart for the comments. I&#146;ve been rather down over this since yesterday. <BR>
Jim,<BR>
I don&#146;t mind my remembering or forgetting as much as I mind the fact that he remembers and suffers as a result. It says &#145;nine years&#146; only because I forgot it in 99 and 2000. he still remembers that I forgot those two years, as he said in a text message yesterday, &#147;Angel, you did not wish me in 99 and 2000. See, I remember. This is how much I loved you since then, even though you forgot.&#148; I hate it that he&#146;s hurting.<BR>

<HR>
From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 1 November 2007<P>

Star of David~<BR>
<BR>
Forgive me for this, since I don't really know anything about your situation...but, from what you've said, I don't know if that's fair of him to keep bringing that up.  We all make mistakes.  If we're lucky people forgive us, because nobody's perfect.  But for him to kind of...throw that out there, like that, seems rather mean to me.  Forgiving means letting go.  You know?  Like I said, I don't know the particulars of your relationship, but it's clear that you have a lot of guilt over what happened.  I don't really think it's very nice to remind you of a mistake you made so long ago.  ((((HUGS))))
<HR>
From: <a href="/blend/av.cgi?id=1348">blakey</a><BR>
Date: 1 November 2007<P>

Star,<BR>
<BR>
I feel compelled to offer up my two-cents so please forgive me if I overstep any boundaries. I personally find it comforting that you do remember his birthday even after all this time. It shows that the time you had together was memorable and that it had an impact on your life. I feel that everyone wants to love and be loved equally. Maybe you didn&#146;t feel like the ratio between the two weren&#146;t equal, among other reasons, and that is why you are no longer together. I was in the receiving role in your situation and I wouldn&#146;t trade one minute of our time together for anything. I would find much comfort in knowing she remembered my birthday, even as only a friend from the past. It would prove that our relationship during that time wasn&#146;t &#145;casual&#146;. Thanks again for sharing this piece. It give me hope that maybe mine is remembered, but just not conveyed.<BR>

<HR>
From: <a href="/blend/av.cgi?id=620">Varda</a><BR>
Date: 1 November 2007<P>

Violet, about <a href="/blend/wv.cgi?id=2007.08.24.16.34.22609">2 am</a>:<BR>
<BR>
This is just beautiful. I am both jealous and happy for you.
<HR>
From: <a href="/blend/av.cgi?id=620">Varda</a><BR>
Date: 1 November 2007<P>

I am so lost. My relationship of ten years is now long distance, but it didn't need to be. It is because we finally had to part, I think. I love him. I love him. I can't imagine being without him forever. But sometimes, I know I'm not getting all I need, and I want someone else. I haven't had a break up in over ten years. I can't have wasted all this time! Is it ending? Is it possible for me to see other people and still be in love with him? Is it possible for us to stop being monogamous but get back together later, after he resolves some issues? I feel so ashamed. Ten years. How do I tell people I failed? We still haven't decided what to do. It is so hard. I still ove him. What do I do? What do I say? I feel like I'm splintering and there's only him I could ask for help, but I can't hang on to a raft that's not floating anymore.<BR>
<BR>
I'm sorry, but I didn't know who else to reach out to...
<HR>